# Uses of Interface
javax.lang.model.type.ErrorType

Packages that use ErrorType
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

- ## Uses of ErrorType in com.sun.source.util

  Methods in com.sun.source.util with parameters of type ErrorType
  Modifier and Type
  Method
  Description
  `abstract TypeMirror`
  Trees.`getOriginalType(ErrorType errorType)`
  Returns the original type from the `ErrorType` object.

- ## Uses of ErrorType in javax.lang.model.type

  Methods in javax.lang.model.type with parameters of type ErrorType
  Modifier and Type
  Method
  Description
  `R`
  TypeVisitor.`visitError(ErrorType t, P p)`
  Visits an error type.

- ## Uses of ErrorType in javax.lang.model.util

  Methods in javax.lang.model.util with parameters of type ErrorType
  Modifier and Type
  Method
  Description
  `R`
  SimpleTypeVisitor6.`visitError(ErrorType t, P p)`
  Visits an error type.